Subject: bug#40544: Pulseaudio is not looking for user configuration

From: Diego Nicola Barbato <[email-masked]>
Date: Thu, 16 Apr 2020 16:26:38 +0200

Hey,

pkill9 <[email-masked]> writes:

> Pulseaudio doesn't read my user configuration files according to strace.
>
> Attached is the output of `strace -o /tmp/log.log pulseaudio` - It only
> looks for /etc/pulse/daemon.conf.

That's a known [0] (but AFAIK undocumented) side effect of the
PulseAudio service, which was added to %desktop-services in January [1].
If you want PulseAudio to read your user configuration files you'll have
to remove that service from your system services or unset PULSE_CONFIG
and PULSE_CLIENT_CONFIG in ~/.profile [2].

Regards,

Diego

[0]: https://lists.gnu.org/archive/html/guix-patches/2020-01/msg00388.html
[1]: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=71e33e32fcedbd0aaafda4fd548fb8443064253c
[2]: https://lists.gnu.org/archive/html/guix-patches/2020-01/msg00408.html